/// <reference types="node" />
import { EventEmitter } from "events";
import { DocumentNode, GraphQLSchema } from "graphql";
import { EventBus, EventBusSubscriberCb, Publish } from "./EventBus";
import { EventBusPlugin } from "./VanillaEventBus";
export declare type MemoryEventBusConfig = {
    schema: GraphQLSchema;
    subscriber?: {
        cb: EventBusSubscriberCb;
        queries: DocumentNode;
    };
    plugins?: EventBusPlugin[];
    allowInvalidTopic?: boolean;
};
export declare class MemoryEventBus implements EventBus {
    config: MemoryEventBusConfig;
    eventEmitter: EventEmitter;
    private bus;
    constructor(config: MemoryEventBusConfig);
    init: () => Promise<void>;
    publish: Publish;
    closeConsumer: () => Promise<void>;
    closePublisher: () => Promise<void>;
}
